#include <gtkmm/box.h>
#include <gtkmm/image.h>
#include <gtkmm/label.h>
#include <gtkmm/main.h>
#include <gtkmm/stock.h>
#include <gtkmm/window.h>
#include <libsexymm/icon-entry.h>

class AppWindow
	: public Gtk::Window
{
public:
	AppWindow(void);

private:
	Sexy::IconEntry mIconEntry;
};

AppWindow::AppWindow(void)
{
	set_title("Sexy Icon Entry Test");
	show();
	set_border_width(12);

	Gtk::HBox *hbox = Gtk::manage(new Gtk::HBox(false, 6));
	hbox->show();
	add(*hbox);

	Gtk::Label *label = Gtk::manage(new Gtk::Label("Filename:"));
	label->show();
	hbox->pack_start(*label, false, false, 0);

	mIconEntry.show();
	hbox->pack_start(mIconEntry, true, true, 0);

	Gtk::Image *icon = Gtk::manage(new Gtk::Image(Gtk::Stock::OPEN,
												  Gtk::ICON_SIZE_MENU));
	icon->show();
	mIconEntry.set_icon(icon);
}

int
main(int argc, char **argv)
{
	Gtk::Main kit(&argc, &argv);
	AppWindow app;
	Gtk::Main::run(app);

	return 0;
}
